Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class ConfidentialityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--gnu.crypto.sasl.ConfidentialityException

All Implemented Interfaces:
  java.io.Serializable

public class ConfidentialityException
extends SaslException

Used by mechanisms that offer a security services layer, this checked exception is thrown to indicate that a violation has occured during the processing of a confidentiality protection filter.

See Also:
  Serialized Form

Constructor Summary
`ConfidentialityException()` Constructs a new instance of `ConfidentialityException` with no detail message.
`ConfidentialityException(java.lang.String s)` Constructs a new instance of `ConfidentialityException` with the specified detail message.
`ConfidentialityException(java.lang.String s, java.lang.Throwable x)` Constructs a new instance of `ConfidentialityException` with a detailed message and a root exception.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfidentialityException

    public ConfidentialityException()

  Constructs a new instance of `ConfidentialityException` with no detail message.

### ConfidentialityException

    public ConfidentialityException(java.lang.String s)

  Constructs a new instance of `ConfidentialityException` with the specified detail message.

Parameters:
  `s` - the detail message.

### ConfidentialityException

    public ConfidentialityException(java.lang.String s,
                                    java.lang.Throwable x)

  Constructs a new instance of `ConfidentialityException` with a detailed message and a root exception.

Parameters:
  `s` - possibly null additional detail about the exception.
  `x` - a possibly null root exception that caused this one.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.